package core

import "golang.org/x/crypto/argon2"

func HashPassword(password string) string {
	return string(argon2.IDKey([]byte(password), nil, 1, 64*1024, 4, 32))
}

func ComparePassword(password string, hash string) bool {
	hashedPassword := HashPassword(password)
	return hashedPassword == hash
}
